GoPxL SDK

- Home
- Files
- Namespace

Public Member Functions | Friends
GoPxLSdk::GoGdpMesh Class Reference
Inheritance diagram for GoPxLSdk::GoGdpMesh:

## Public Member Functions
const kSize | AllocatedChannelDataCount (size_t id) const
| Number of allocated channel data items. More...
const kSize | ChannelCount () const
| Number of all channels, including all system and active user channels. More...
const std::vector < std::shared_ptr< void > > & | ChannelData (size_t id) const
| Get data buffer of various types depending on channel ID. More...
const k32u | ChannelFlag (size_t id) const
| Channel flag is an user specified field. More...
const Channel_State | ChannelState (size_t id) const
| Get channel state. More...
const Channel_Type | ChannelType (size_t id) const
| Get channel type. More...
void | Deserialize (kSerializer serializer) override
| Deserialize mesh message. More...
| GoGdpMesh ()
| Constructs class GoGdpMesh. More...
const bool | HasData () const
| Indicator whether any data are allocated. More...
const kSize | MaxUserChannelCount () const
| Maximum number of user channels supported (currently 5). More...
const kPoint3d64f | Offset () const
| Offset of mesh data. More...
const kPoint3d64f | Range () const
| Range of mesh data. More...
const kSize | SystemChannelCount () const
| Number of system channels(currently 6). More...
const kSize | UsedChannelDataCount (size_t id) const
| Number of used channel data items. More...
const kSize | UserChannelCount () const
| Number of currently active user channels. More...
| ~GoGdpMesh ()=default
Public Member Functions inherited from GoPxLSdk::GoGdpMsg
const k32u | ArrayedCount () const
| Get the count of messages in the array. More...
const k32u | ArrayedIndex () const
| Get the index of this message in the array. More...
const GoGdpBoundingBox & | BoundingBox () const
| Get bounding box. More...
const k64u | DataSetId () const
| Get the data set identifier. More...
const std::string & | DataSourceId () const
| Get the data source Id. More...
const k16u | GdpId () const
| Get the gdpId. More...
| GoGdpMsg (MessageType type=MessageType::NULL_TYPE)
| Constructs GoGdpMsg. More...
const bool | HasBoundingBox () const
| Get indicator if a bounding box exists or not. More...
const bool | HasTransform () const
| Get indicator if a transform (returned by Transform() API) exists for ths message. More...
const bool | IsLastMsg () const
| Get whether this messages is the last one within its current set. More...
const k8u | SpaceType () const
| Get space type value. More...
const std::string & | StampSourceId () const
| Get the stamp source Id. More...
const GoGdpTransform & | Transform () const
| Get pointer to the transformation matrix values. More...
const MessageType | Type () const
| Get concrete message type. More...
virtual | ~GoGdpMsg ()=default

## Friends
class | ::GoGdpMsgTests

## Additional Inherited Members
Protected Attributes inherited from GoPxLSdk::GoGdpMsg
CommonAttributes | attributes
MessageType | msgType

The documentation for this class was generated from the following file:

- GoGdpMsg/GoGdpMesh.h